package gov.va.med.esr.service.external;

import java.util.Date;

public class HandBookInfo extends ExternalComponent {
	
	private static final long serialVersionUID = -4545464626028800500L;
	private String DocType = null;
	private String name = null;	
	private String releaseControlNumber = null;
	private String physicalLocation = null;
	private StringBuffer concatenatedString = null;
	private int version;
	private Date generatedDate = null;
	private String fileId = null;
	
	
	public StringBuffer getConcatenatedString() {
		return concatenatedString;
	}
	public void setConcatenatedString(StringBuffer concatenatedString) {
		this.concatenatedString = concatenatedString;
	}
	public String getDocType() {
		return DocType;
	}
	public void setDocType(String docType) {
		DocType = docType;
	}
	public Date getGeneratedDate() {
		return generatedDate;
	}
	public void setGeneratedDate(Date generatedDate) {
		this.generatedDate = generatedDate;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getPhysicalLocation() {
		return physicalLocation;
	}
	public void setPhysicalLocation(String physicalLocation) {
		this.physicalLocation = physicalLocation;
	}
	public String getReleaseControlNumber() {
		return releaseControlNumber;
	}
	public void setReleaseControlNumber(String releaseControlNumber) {
		this.releaseControlNumber = releaseControlNumber;
	}
	public int getVersion() {
		return version;
	}
	public void setVersion(int version) {
		this.version = version;
	}

	public String getSource()
	{
		String type = this.getDocType();
		if ("Handbook by CMS".equals(type) ||
				"Benefits Profile by CMS".equals(type) ||
				"Handbook by VCG".equals(type) ||
				"Benefits Profile by VCG".equals(type) )
		return "Mail";
		
		if ("Handbook by Veteran".equals(type) ||
				"Benefits Profile by Veteran".equals(type))
		return "Online";
		
		return null;
	}
	public String getFileId() {
		return fileId;
	}
	public void setFileId(String fileId) {
		this.fileId = fileId;
	}
}
